---
id: 61537bb9b1a29430ac15ad38
title: Step 1
challengeType: 0
dashedName: step-1
demoType: onLoad
---

# --description--

Start this project by linking your `styles.css` file to the page.

# --hints--

You should have a `link` element within your `head` element.

```js
assert.exists(document.querySelector("head>link"));
```

Your `link` element should have `rel="stylesheet"` and `href="styles.css"`.

```js 
  const link = document.querySelector("head>link"); 
  assert.equal(link?.getAttribute("rel"), "stylesheet"); 
  const href = link?.getAttribute("data-href"); 
  assert.oneOf(href, ["./styles.css", "styles.css"]); 
``` 

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Photo Gallery</title>
--fcc-editable-region--

--fcc-editable-region--    
  </head>
  <body>
  </body>
</html>
```

```css

```
